%define	fname	tuxmath_w_fonts

Summary:	Math game for kids with Tux
Name:		tuxmath
Version:	2.0.3
Release:	%mkrel 13
# http://anonscm.debian.org/cgit/tux4kids/tuxmath.git
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv3+
Group:		Games/Other
# have to change with each new release as the number after download.php changes :(
Source0:	http://alioth.debian.org/frs/download.php/3470/%{fname}-%{version}.tar.gz
# from Debian (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792796)
Source1:	%{name}.6
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792789
Source2:	ru.po
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792795
Patch0:		tuxmath_w_fonts-2.0.3-fix-localedir.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792794
Patch1:		tuxmath-2.0.3-suse-mga-bufferoverflowstrncat.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792792
Patch2:		tuxmath-2.0.3-mga-fix-translations.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792790
Patch3:		tuxmath-2.0.3-mga-fix-potfiles.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=691496
Patch4:		tuxmath-2.0.3-mga-desktop-file.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=691495
Patch5:		tuxmath-2.0.3-boss-players.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712846
Patch6:		tuxmath-2.0.3-multiplayer.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792785
Patch7:		tuxmath-2.0.3-mga-fix-back-button.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_Pango)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(t4k_common)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	imagemagick
Requires:	t4k_common

%description
"Tux, of Math Command" ("TuxMath", for short) is an educational arcade
game starring Tux, the Linux mascot! Based on the classic arcade game
"Missile Command", Tux must defend his cities. In this case, though,
he must do it by solving math problems.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

# update Russian
cp -f %{SOURCE2} po/

# delete POT file for force update translations ( NOTE: please keep for all new versions )
rm -f po/%{name}.pot

%build
autoreconf -vfi
%define _legacy_common_support 1
%configure	\
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--localedir=%{_datadir}/locale
%make_build

%install
%make_install

rm -fr %{buildroot}%{_docdir}/%{name}

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792797
install -d %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man6

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS doc/changelog doc/README* doc/TODO*
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}admin
%{_gamesbindir}/%{name}server
%{_gamesbindir}/%{name}testclient
%{_gamesbindir}/generate_lesson
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.*


%changelog
* Thu Jul 02 2020 joequant <joequant> 2.0.3-13.mga8
+ Revision: 1601370
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 2.0.3-12.mga8
+ Revision: 1517518
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.0.3-11.mga7
+ Revision: 1301474
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 2.0.3-10.mga6
+ Revision: 959005
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 alexl <alexl> 2.0.3-9.mga6
+ Revision: 891907
- fix segfault for Back button
- s/patch/autopatch/

* Sat Jul 18 2015 alexl <alexl> 2.0.3-8.mga6
+ Revision: 855173
- enable Werror_cflags
- add man page for tuxmath
- update Russian
- fix buffer overflow strncat
- mark strings for translation, fix marking also
- fix POT file creating and compile translations with according POT file
- add new translations for desktop file
- based on desktop file from upstream instead of own
- fix players in range 2-4
- don't allow empty name for player
- use pkgconfig for br
- fix docs installation

* Wed Nov 26 2014 alexl <alexl> 2.0.3-7.mga5
+ Revision: 799374
- add GenericName
- add translations for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-6.mga5
+ Revision: 742341
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-5.mga5
+ Revision: 689983
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.3-4.mga4
+ Revision: 530862
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 wally <wally> 2.0.3-3.mga4
+ Revision: 460511
- add patch to fix missing translations (mga#10871)

* Mon Jan 14 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 384859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 18 2011 fwang <fwang> 2.0.3-1.mga2
+ Revision: 144833
- fix desktop
- new version 2.0.3

* Sun Mar 27 2011 anaselli <anaselli> 1.9.0-1.mga1
+ Revision: 78121
- imported package tuxmath

